.video-grid {
	width: 100%;
	display: grid;
	justify-content: space-between;
	justify-items: center;
	gap: 1em;

	.video-grid-item {
		display: flex;
		flex-direction: column;
		align-items: center;
		background-color: white;
		border: 2px solid rgba(0, 0, 0, 0.1);
		width: 100%;
		cursor: pointer;

		.video-thumbnail {
			margin: 0.8em;
			width: 100%;
			display: flex;
			justify-content: center;
			align-items: center;

			img {
				width: 90%;
				height: auto;
			}
		}

		.video-title {
			align-self: flex-start;
			font-weight: bold;
			margin: 0 0.8em;
			flex: 1;
			word-break: break-word;
			text-overflow: ellipsis;

			overflow: hidden;
			display: -webkit-box !important;
			-webkit-line-clamp: 2;
			-webkit-box-orient: vertical;
			white-space: normal;
		}

		.video-published {
			align-self: flex-start;
			margin: 0.8em auto 0.5em 0.8em;
			font-style: italic;
		}
	}
}
